<template lang="pug">
    v-card
        v-card-title Coffin Details
        v-card-text
            v-textarea(
                label="Description"
                :value="coffin.description"
                auto-grow
                @input="grabChange('description', $event)"
            )
            v-textarea(
                label="Disscussion"
                :value="coffin.disscussion"
                auto-grow
                @input="grabChange('disscussion', $event)"
            )
            v-text-field(
                :value="coffin.Preservation"
                label="Preservation"
                @input="grabChange('Preservation', $event)"
            )
            v-subheader Coffin Finds
            v-divider
            div.row
                div.col-sm-6.col-md-3
                    v-checkbox(
                        :value="coffin.finds_none"
                        label="None"
                        @input="grabChange('finds_none', $event)"
                    )
                    v-checkbox(
                        :value="coffin.finds_breast_plate"
                        label="Breast Plate"
                        @input="grabChange('finds_breast_plate', $event)"
                    )
                    v-checkbox(
                        :value="coffin.finds_grip"
                        label="Grip"
                        @input="grabChange('finds_grip', $event)"
                    )
                div.col-sm-6.col-md-3
                    v-checkbox(
                        :value="coffin.finds_grip_plate"
                        label="Grip Plate"
                        @input="grabChange('finds_grip_plate', $event)"
                    )
                    v-checkbox(
                        :value="coffin.finds_hinge"
                        label="Hinge"
                        @input="grabChange('finds_hinge', $event)"
                    )
                div.col-sm-6.col-md-3
                    v-checkbox(
                        :value="coffin.finds_bracket"
                        label="Bracket"
                        @input="grabChange('finds_bracket', $event)"
                    )
                    v-checkbox(
                        :value="coffin.finds_fixing_nails"
                        label="Fixing Nail"
                        @input="grabChange('finds_fixing_nails', $event)"
                    )
                div.col-sm-6.col-md-3
                    v-checkbox(
                        :value="coffin.finds_shroud_pins"
                        label="Shroud Pins"
                        @input="grabChange('finds_shroud_pins', $event)"
                    )
                    v-checkbox(
                        :value="coffin.finds_fabric"
                        label="Fabric"
                        @input="grabChange('finds_fabric', $event)"
                    )
</template>

<script>
export default {
    name: "coffin",
    props: {
        options: {
            required: true,
            type: Object
        },
        coffin: {
            required: true
        }
    },
    data() {
        return {
            localCoffin: {}
        };
    },
    created() {
        this.localCoffin = this.coffin;
    },
    methods: {
        valueChanged() {
            this.$emit("input", this.localCoffin);
        },
        grabChange(element, value) {
            this.localCoffin[element] = value;
            this.valueChanged();
        }
    }
};
</script>
